Crossbow Mod 2 bug

Raider99

Member
Aug 8, 2013
5
0
1
21
So, I just found about this mod, and I really like it. I'm using both, Galacticraft (newest one for 1.6.2) and Crossbow Mod 2 (newest too for MC 1.6.2) for same MC version. But I ran into some bug. Also, I'm using these mods on Optiforge (optifine HD_U_B4 and Forge 9.10.0.789 (tried on .814 build too, I get the bug))
Crossbows work perfectly. But when I use crossbow bench, it's all messed up. Like here:



I don't mind that, but it's really annoying sometimes. I thought that it's messed because of incompatibilities with other mods, but I don't know, here's list of all mods I use except Galacticraft and MicdoodleCore:

-Rei's Minimap
-Simple ores 2
-Craft Guide
-Ropes+
-Damage Indicators
-Balkon's weapon mod (tried without it, same problem)
-Better World Generation 4
-Player API
-Smart Moving

I hope someone can help me. :)
 

MasterOanarchY

Moderator
Staff member
Jul 3, 2013
1,016
38
48
He just got this mod to 1.6.2 the other day. Unless you're going to help your only options is patience.

Thanks for the bug report. I have noticed the same one.
 

Raider99

Member
Aug 8, 2013
5
0
1
21
^ Thank you for reply.
Yeah, my only option is to be patient. :D
At least, mod works, so, not really big problem.
 

Dunewolfz

He-who-has-no-morals-or-sense-of-logic.
Staff member
Feb 23, 2013
794
155
43
Kalos Region
www.itanimulli.com
Smart Moving was really bugged with early renditions of GC, I don't know if it's the particular problem here but...
I believe SM/GC compatibility was fixed a while back.
 

Ezer'Arch

Administrator
Staff member
May 18, 2013
1,603
446
83
ezerarch.com
Smart Moving was really bugged with early renditions of GC, I don't know if it's the particular problem here but...
I believe SM/GC compatibility was fixed a while back.
If it was fixed once, now it's broken again, and worse, it crashes on start.

EzerArch said:
Divisor, I would like to ask you a thing, it's not urgent though:

What is the possibility of Galacticraft supporting Smart Moving?

I saw in the Render Player API and Player API topics that Galacticraft uses these APIs, but when I add SM with Galacticraft for 1.5.1 and 1.5.2 I get the same problem as Modular PowerSuits: the armor doesn't follow player model rotation. SM + Galacticraft 1.6.2, Minecraft crashes on startup.

If you need more details, feel free to ask.

-----

Addendum:

I made a search in Render Player API topic and I found this:

Divisor said:
I had a look at Galacticrafts player rendering - it uses its own player rendering system.

This system is designed to meet Galacticrafts and only Galacticrafts needs - it completly messes up Render Player API along the way and is thereby 100% incompatible with it.

I can think of only way to increase compatibility in this situation: The creator of Galacticraft needs to be encouraged to use Render Player API instead of a completely proprietary system.
This explains a bit. Additionally, Galacticraft has 4 more movements: holding flag, placing flag, carrying rocket and holding parachute. I guess he wanted to implement his own animations.

Even so, I could nag him [micdoodle8] to consider using your API... but not much. ^^'
From: http://www.minecraftforum.net/topic/361430-162smp-smart-moving/page__st__7140#entry24097595